Arch Linux

Please read this before reporting a bug:

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!

FS#31604 - [ffmpeg] add --enable-avresample when configure

Attached to Project: Arch Linux
Opened by Felix Yan (felixonmars) - Wednesday, 19 September 2012, 01:52 GMT
Last edited by Ionut Biru (wonder) - Saturday, 16 February 2013, 22:26 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Ionut Biru (wonder)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No


In ffmpeg >=0.11 there is a compatibility layer - libavresample available, by the time only newer version of x264-audio needs it as far as I know, such as my aur package: x264-jeeb.
Please, if possible, add this option when running "./configure" by default, as some other distributions such as openSUSE already did this.

Additional info:
* package version(s)
[extra]/ffmpeg 1:0.11.1-1
This task depends upon

Closed by  Ionut Biru (wonder)
Saturday, 16 February 2013, 22:26 GMT
Reason for closing:  Implemented
Additional comments about closing:  ffmpeg 1.1.2
Comment by LouL (DrZaius) - Tuesday, 15 January 2013, 18:22 GMT
Enabling this for one package in the AUR seems overboard. What else uses libavresample instead of the enabled-by-default libswresample?